Loading...
Searching...
No Matches
geo_iterator< T, Ref, Ptr, IteratorByVariant >

## Detailed Description

template<class T, class Ref, class Ptr, class IteratorByVariant>
struct rheolef::geo_iterator< T, Ref, Ptr, IteratorByVariant >

geo iterator

Definition at line 193 of file geo.h.

## Public Types

typedef geo_iterator< T, Ref, Ptr, IteratorByVariant > | _self
typedef geo_iterator< T, T &, T *, typename hack_array< T >::iterator > | _nonconst_iterator
typedef std::random_access_iterator_tag | iterator_category
typedef T | value_type
typedef Ptr | pointer
typedef Ref | reference
typedef T::size_type | size_type
typedef ptrdiff_t | difference_type

## Public Member Functions

template<class Geo >
| geo_iterator (size_type dim, size_type variant, IteratorByVariant iter, Geo &omega)
| geo_iterator (const _nonconst_iterator &y)
reference | operator* () const
pointer | operator-> () const
_self & | operator++ ()
void | _reset_to_next_or_last ()
_self | operator++ (int)
bool | operator== (const _self &y) const
bool | operator!= (const _self &y) const

## Public Attributes

size_type | _variant
size_type | _variant_max
IteratorByVariant | _iter_by_var
IteratorByVariant | _first_by_var [reference_element::max_variant]
IteratorByVariant | _last_by_var [reference_element::max_variant]

## Member Typedef Documentation

## _self

template<class T , class Ref , class Ptr , class IteratorByVariant >

typedef geo_iterator<T,Ref,Ptr,IteratorByVariant> _self

Definition at line 194 of file geo.h.

## _nonconst_iterator

template<class T , class Ref , class Ptr , class IteratorByVariant >

typedef geo_iterator<T,T&,T*,typename hack_array<T>::iterator> _nonconst_iterator

Definition at line 195 of file geo.h.

## iterator_category

template<class T , class Ref , class Ptr , class IteratorByVariant >

typedef std::random_access_iterator_tag iterator_category

Definition at line 200 of file geo.h.

## value_type

template<class T , class Ref , class Ptr , class IteratorByVariant >

typedef T value_type

Definition at line 201 of file geo.h.

## pointer

template<class T , class Ref , class Ptr , class IteratorByVariant >

typedef Ptr pointer

Definition at line 202 of file geo.h.

## reference

template<class T , class Ref , class Ptr , class IteratorByVariant >

typedef Ref reference

Definition at line 203 of file geo.h.

## size_type

template<class T , class Ref , class Ptr , class IteratorByVariant >

typedef T::size_type size_type

Definition at line 204 of file geo.h.

## difference_type

template<class T , class Ref , class Ptr , class IteratorByVariant >

typedef ptrdiff_t difference_type

Definition at line 205 of file geo.h.

## Constructor & Destructor Documentation

## geo_iterator() [1/2]

template<class T , class Ref , class Ptr , class IteratorByVariant >
template<class Geo >

geo_iterator | ( | size_type | dim,
|  | size_type | variant,
|  | IteratorByVariant | iter,
|  | Geo & | omega
| ) |  |

Definition at line 368 of file geo.h.

## geo_iterator() [2/2]

template<class T , class Ref , class Ptr , class IteratorByVariant >

geo_iterator | ( | const _nonconst_iterator & | y | ) |

Definition at line 387 of file geo.h.

## Member Function Documentation

## operator*()

template<class T , class Ref , class Ptr , class IteratorByVariant >

reference operator* | ( |  | ) | const

Definition at line 215 of file geo.h.

## operator->()

template<class T , class Ref , class Ptr , class IteratorByVariant >

pointer operator-> | ( |  | ) | const

Definition at line 216 of file geo.h.

## operator++() [1/2]

template<class T , class Ref , class Ptr , class IteratorByVariant >

_self & operator++ | ( |  | ) |

Definition at line 218 of file geo.h.

## _reset_to_next_or_last()

template<class T , class Ref , class Ptr , class IteratorByVariant >

void _reset_to_next_or_last | ( |  | ) |

Definition at line 223 of file geo.h.

## operator++() [2/2]

template<class T , class Ref , class Ptr , class IteratorByVariant >

_self operator++ | ( | int |  | ) |

Definition at line 231 of file geo.h.

## operator==()

template<class T , class Ref , class Ptr , class IteratorByVariant >

bool operator== | ( | const _self & | y | ) | const

Definition at line 233 of file geo.h.

## operator!=()

template<class T , class Ref , class Ptr , class IteratorByVariant >

bool operator!= | ( | const _self & | y | ) | const

Definition at line 234 of file geo.h.

## Member Data Documentation

## _variant

template<class T , class Ref , class Ptr , class IteratorByVariant >

size_type _variant

Definition at line 238 of file geo.h.

## _variant_max

template<class T , class Ref , class Ptr , class IteratorByVariant >

size_type _variant_max

Definition at line 239 of file geo.h.

## _iter_by_var

template<class T , class Ref , class Ptr , class IteratorByVariant >

IteratorByVariant _iter_by_var

Definition at line 240 of file geo.h.

## _first_by_var

template<class T , class Ref , class Ptr , class IteratorByVariant >

IteratorByVariant _first_by_var[reference_element::max_variant]

Definition at line 241 of file geo.h.

## _last_by_var

template<class T , class Ref , class Ptr , class IteratorByVariant >

IteratorByVariant _last_by_var[reference_element::max_variant]

Definition at line 242 of file geo.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-Hrneba/rheolef-7.2/main/lib/geo.h